package yibao_pay

type YibaoJoinCallback struct {
	CustomerIdentification string `json:"customerIdentification"`
	Response               string `json:"response"`
}
type YibaoJoinCallbackInfo struct {
	AuditOpinion        string `json:"auditOpinion"`
	ApplicationStatus   string `json:"applicationStatus"`
	ApplicationNo       string `json:"applicationNo"`
	RequestNo           string `json:"requestNo"`
	AgreementSignUrl    string `json:"agreementSignUrl"`
	ProgressDescription string `json:"progressDescription"`
}
type YibaoJoinCallbackPayInfo struct {
	ChannelOrderId   string `json:"channelOrderId"`
	OrderId          string `json:"orderId"`
	BankOrderId      string `json:"bankOrderId"`
	PaySuccessDate   string `json:"paySuccessDate"`
	Channel          string `json:"channel"`
	PayWay           string `json:"payWay"`
	UniqueOrderNo    string `json:"uniqueOrderNo"`
	OrderAmount      string `json:"orderAmount"`
	PayAmount        string `json:"payAmount"`
	PayerInfo        string `json:"payerInfo"`
	RealPayAmount    string `json:"realPayAmount"`
	ParentMerchantNo string `json:"parentMerchantNo"`
	MerchantNo       string `json:"merchantNo"`
	Status           string `json:"status"`
}
type YibaoJoinCallbackClearInfo struct {
	FeeMerchantNo    string `json:"feeMerchantNo"`
	OrderAmount      string `json:"orderAmount"`
	CsSuccessDate    string `json:"csSuccessDate"`
	OrderId          string `json:"orderId"`
	MerchantFee      string `json:"merchantFee"`
	CustomerFee      string `json:"customerFee"`
	ParentMerchantNo string `json:"parentMerchantNo"`
	UniqueOrderNo    string `json:"uniqueOrderNo"`
	FeeType          string `json:"feeType"`
	YpSettleAmount   string `json:"ypSettleAmount"`
	MerchantNo       string `json:"merchantNo"`
	Status           string `json:"status"`
}
